OpenVDB 7.0.0

Public Types | List of all members
VectorToScalarGrid< VecGridT > Struct Template Reference

Metafunction to convert a vector-valued grid type to a scalar grid type. More...

`#include <PotentialFlow.h>`

## Public Types
using | Type = typename VecGridT::template ValueConverter< typename VecGridT::ValueType::value_type >::Type
using | Ptr = typename Type::Ptr
using | ConstPtr = typename Type::ConstPtr

## Detailed Description

### template<typename VecGridT>
struct openvdb::v7_0::tools::VectorToScalarGrid< VecGridT >

Metafunction to convert a vector-valued grid type to a scalar grid type.

## Member Typedef Documentation

## ◆ ConstPtr

using ConstPtr = typename Type::ConstPtr

## ◆ Ptr

using Ptr = typename Type::Ptr

## ◆ Type

using Type = typename VecGridT::template ValueConverter<typename VecGridT::ValueType::value_type>::Type

The documentation for this struct was generated from the following file:

- PotentialFlow.h